# == Schema Information
#
# Table name: learning_object_attachments
#
#  id                     :integer          not null, primary key
#  name                   :string
#  link                   :string
#  retrieve_link          :string
#  description            :text
#  format                 :string
#  mime_type              :string
#  size                   :integer
#  bundle_name            :string
#  learning_object_id     :integer
#  created_at             :datetime         not null
#  updated_at             :datetime         not null
#  id_dspace              :integer
#  thumbnail_file_name    :string
#  thumbnail_content_type :string
#  thumbnail_file_size    :integer
#  thumbnail_updated_at   :datetime
#  cache_link             :string
#

class LearningObject::Attachment < ApplicationRecord
  include ::Thumbnailable
  belongs_to :learning_object
  scope :unknown_mime_type, ->() { where(format: 'Unknown') }

  def retrieve_url
    "#{DspaceService.link}/rest#{retrieve_link}"
  end

  def retrieve_cache_link
    return retrieve_url unless bundle_name == 'ORIGINAL'
    AttachmentCacheService.new(self).link
  end
end
