# == Schema Information
#
# Table name: review_ratings
#
#  id         :integer          not null, primary key
#  review_id  :integer
#  rating_id  :integer
#  value      :integer
#  created_at :datetime         not null
#  updated_at :datetime         not null
#

class ReviewRating < ApplicationRecord
  belongs_to :review
  belongs_to :rating

  validates_inclusion_of :value, in: Array(1..5), message: "Review Rating must be between 1 and 5."
  validates_presence_of :rating
  validates_uniqueness_of :rating, scope: :review

  def self.default_names
    ['Perda de Tempo', 'Ruim', 'Razoável', 'Muito Bom', 'Excelente']
  end
end
